org.codehaus.plexus.lifecycle

## Class AbstractLifecycleHandler

- java.lang.Object
- - org.codehaus.plexus.lifecycle.AbstractLifecycleHandler

All Implemented Interfaces:
  LifecycleHandler

Direct Known Subclasses:
  BasicLifecycleHandler

    public abstract class AbstractLifecycleHandler
    extends java.lang.Object
    implements LifecycleHandler

### Constructor Summary

Constructors
Constructor and Description
`AbstractLifecycleHandler()`

### Method Summary

Methods
`void` `addBeginSegment(Phase phase)`
`void` `addEndSegment(Phase phase)`
`void` `end(java.lang.Object component, ComponentManager manager)` Deprecated.
`void` `end(java.lang.Object component, ComponentManager manager, org.codehaus.plexus.classworlds.realm.ClassRealm contextRealm)` End a component's lifecycle.
`java.util.List` `getBeginSegment()`
`java.util.List` `getEndSegment()`
`void` `start(java.lang.Object component, ComponentManager manager)` Deprecated.
`void` `start(java.lang.Object component, ComponentManager manager, org.codehaus.plexus.classworlds.realm.ClassRealm realm)` Start a component's lifecycle.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.lifecycle.LifecycleHandler

`getId, initialize`

### Constructor Detail

#### AbstractLifecycleHandler

    public AbstractLifecycleHandler()

### Method Detail

#### addBeginSegment

    public void addBeginSegment(Phase phase)

Specified by:
  `addBeginSegment` in interface `LifecycleHandler`

#### getBeginSegment

    public java.util.List getBeginSegment()

#### addEndSegment

    public void addEndSegment(Phase phase)

Specified by:
  `addEndSegment` in interface `LifecycleHandler`

#### getEndSegment

    public java.util.List getEndSegment()

#### start

    public void start(java.lang.Object component,
             ComponentManager manager)
               throws PhaseExecutionException

Deprecated.

Specified by:
  `start` in interface `LifecycleHandler`
Throws:
  `PhaseExecutionException`

#### start

    public void start(java.lang.Object component,
             ComponentManager manager,
             org.codehaus.plexus.classworlds.realm.ClassRealm realm)
               throws PhaseExecutionException

Start a component's lifecycle.

Specified by:
  `start` in interface `LifecycleHandler`
Throws:
  `PhaseExecutionException`

#### end

    public void end(java.lang.Object component,
           ComponentManager manager)
             throws PhaseExecutionException

Deprecated.
End a component's lifecycle.

Specified by:
  `end` in interface `LifecycleHandler`
Throws:
  `PhaseExecutionException`

#### end

    public void end(java.lang.Object component,
           ComponentManager manager,
           org.codehaus.plexus.classworlds.realm.ClassRealm contextRealm)
             throws PhaseExecutionException

End a component's lifecycle.

Specified by:
  `end` in interface `LifecycleHandler`
  `contextRealm` - the realm used to create the component, which may not be the component's realm; this component could have requirements that were satisfied using components from this realm. It could be used to lookup the same manager components that were used to start the component.
Throws:
  `PhaseExecutionException`